Extending Qt Creator Manual | NameNode

Extending Qt Creator Manual 4.7.1

# NameNode Class

(Debugger::Internal::NameNode)

Inherits: | Debugger::Internal::ParseTreeNode

- List of all members, including inherited members

## Public Types

typedef | Ptr

## Public Functions

| NameNode(Debugger::Internal::GlobalParseState *parseState)
CvQualifiersNode::Ptr | cvQualifiers() const
bool | isConstructorOrDestructorOrConversionOperator() const
bool | isTemplate() const
int | toByteArray() const

- 7 public functions inherited from Debugger::Internal::ParseTreeNode

## Static Public Members

bool | mangledRepresentationStartsWith(char c)

- 1 static public member inherited from Debugger::Internal::ParseTreeNode

### Additional Inherited Members

- 2 protected functions inherited from Debugger::Internal::ParseTreeNode

## Member Type Documentation

### typedef NameNode::Ptr

## Member Function Documentation

### NameNode::NameNode(Debugger::Internal::GlobalParseState *parseState)

Default constructs an instance of NameNode.

### CvQualifiersNode::Ptr NameNode::cvQualifiers() const

### bool NameNode::isConstructorOrDestructorOrConversionOperator() const

### bool NameNode::isTemplate() const

### `[static]` bool NameNode::mangledRepresentationStartsWith(char c)

### int NameNode::toByteArray() const